## org.eclipse.datatools.modelbase.sql.query
Interface GroupingSetsElement

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

All Known Subinterfaces:
  GroupingSetsElementExpression, GroupingSetsElementSublist

    public interface GroupingSetsElement

extends SQLQueryObject

A representation of the model object 'SQL Grouping Sets Element'.

The following features are supported:

- `Grouping Sets`

See Also:
  `SQLQueryModelPackage.getGroupingSetsElement()`

Method Summary
`GroupingSets` `getGroupingSets()` Returns the value of the 'Grouping Sets' container reference.
`void` `setGroupingSets(GroupingSets value)` Sets the value of the '`Grouping Sets`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getGroupingSets

    GroupingSets getGroupingSets()

  Returns the value of the 'Grouping Sets' container reference. It is bidirectional and its opposite is '`Grouping Sets Element List`'.

  If the meaning of the 'Grouping Sets' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Grouping Sets' container reference.
  See Also:
    `setGroupingSets(GroupingSets)`, `SQLQueryModelPackage.getGroupingSetsElement_GroupingSets()`, `GroupingSets.getGroupingSetsElementList()`

### setGroupingSets

    void setGroupingSets(GroupingSets value)

  Sets the value of the '`Grouping Sets`' container reference.

  Parameters:
    `value` - the new value of the 'Grouping Sets' container reference.
  See Also:
    `getGroupingSets()`